## com.puppycrawl.tools.checkstyle.checks.whitespace
Class TypecastParenPadCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.AbstractOptionCheck
                      com.puppycrawl.tools.checkstyle.checks.whitespace.AbstractParenPadCheck
                          com.puppycrawl.tools.checkstyle.checks.whitespace.TypecastParenPadCheck

All Implemented Interfaces:
  Configurable, Contextualizable

public class TypecastParenPadCheck
extends com.puppycrawl.tools.checkstyle.checks.whitespace.AbstractParenPadCheck

Checks the padding of parentheses for typecasts. That is whether a space is required after a left parenthesis and before a right parenthesis, or such spaces are forbidden.

The policy to verify is specified using the `PadOption` class and defaults to `PadOption.NOSPACE`.

An example of how to configure the check is:

     <module name="TypecastParenPad"/>

An example of how to configure the check to require spaces for the parentheses of constructor, method, and super constructor invocations is:

     <module name="TypecastParenPad">
         <property name="option" value="space"/>
     </module>

Version:
  1.0
Author:
  Oliver Burn

Constructor Summary
`TypecastParenPadCheck()`

Method Summary
`int[]` `getDefaultTokens()` Returns the default token a check is interested in.
`int[]` `getRequiredTokens()` The tokens that this check must be registered for.
`protected void` `processLeft(DetailAST aAST)` Process a token representing a left parentheses.
`protected void` `processRight(DetailAST aAST)` Process a token representing a right parentheses.
`void` `visitToken(DetailAST aAST)` Called to process a token.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.AbstractOptionCheck
`getAbstractOption, setOption`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`beginTree, destroy, finishTree, getAcceptableTokens, getClassLoader, getFileContents, getLines, getTabWidth, getTokenNames, init, leaveToken, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getMessageBundle, getSeverity, getSeverityLevel, log, log, log, log, log, log, log, log, log, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypecastParenPadCheck

    public TypecastParenPadCheck()

Method Detail

### getRequiredTokens

    public int[] getRequiredTokens()

  Description copied from class: `Check`
  The tokens that this check must be registered for.

  Overrides:
    `getRequiredTokens` in class `Check`
  Returns:
    the token set this must be registered for.
  See Also:
    `Check`

### getDefaultTokens

    public int[] getDefaultTokens()

  Description copied from class: `Check`
  Returns the default token a check is interested in. Only used if the configuration for a check does not define the tokens.

  Specified by:
    `getDefaultTokens` in class `Check`
  Returns:
    the default tokens
  See Also:
    `Check`

### visitToken

    public void visitToken(DetailAST aAST)

  Description copied from class: `Check`
  Called to process a token.

  Overrides:
    `visitToken` in class `Check`
  Parameters:
    `aAST` - the token to process
  See Also:
    `Check`

### processLeft

    protected void processLeft(DetailAST aAST)

  Process a token representing a left parentheses.

  Parameters:
    `aAST` - the token representing a left parentheses

### processRight

    protected void processRight(DetailAST aAST)

  Process a token representing a right parentheses.

  Parameters:
    `aAST` - the token representing a right parentheses

Back to the Checkstyle Home Page